Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockEvent

    java.lang.Object
      org.springframework.mock.web.portlet.MockEvent

All Implemented Interfaces:
  javax.portlet.Event

    public class MockEvent

extends Object
implements javax.portlet.Event

Mock implementation of the `Event` interface.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `MockEventRequest`

Constructor Summary
`MockEvent(QName name)` Create a new MockEvent with the given name.
`MockEvent(QName name, Serializable value)` Create a new MockEvent with the given name and value.
`MockEvent(String name)` Create a new MockEvent with the given name.
`MockEvent(String name, Serializable value)` Create a new MockEvent with the given name and value.

Method Summary
`String` | `getName()`
`QName` | `getQName()`
`Serializable` | `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockEvent

    public MockEvent(QName name)

  Create a new MockEvent with the given name.

  Parameters:
    `name` - the name of the event

### MockEvent

    public MockEvent(QName name,
                     Serializable value)

  Create a new MockEvent with the given name and value.

  Parameters:
    `name` - the name of the event
    `value` - the associated payload of the event

### MockEvent

    public MockEvent(String name)

  Create a new MockEvent with the given name.

  Parameters:
    `name` - the name of the event

### MockEvent

    public MockEvent(String name,
                     Serializable value)

  Create a new MockEvent with the given name and value.

  Parameters:
    `name` - the name of the event
    `value` - the associated payload of the event

Method Detail

### getQName

    public QName getQName()

  Specified by:
    `getQName` in interface `javax.portlet.Event`

### getName

    public String getName()

  Specified by:
    `getName` in interface `javax.portlet.Event`

### getValue

    public Serializable getValue()

  Specified by:
    `getValue` in interface `javax.portlet.Event`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD